<?php
/**
*
* @package Moods
* @copyright (c) 2016 Theriddler - (http://www.peppersrus-forum.nl)
* @copyright (c) 2015 Rmcgirr83
* @Code lent from nationalflags extension by Rmcgirr83
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace theriddler\moods\migrations;

class m3_add_data extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['moods_version']) && version_compare($this->config['moods_version'], '1.0.1', '>=');
	}

	static public function depends_on()
	{
		return array('\theriddler\moods\migrations\m2_initial_data');
	}

	public function update_data()
	{
		return array(
			array('config.update', array('moods_version', '1.0.1')),
		);
	}
}
