<?php

/**
*
*
* @package - Moods language
* @copyright (c) 2016 Theriddler - (http://www.peppersrus-forum.nl)
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
// Some characters you may want to copy&paste:
// ’ » “ ” …

$lang = array_merge($lang, array(
	'USER_MOOD'			=> 'Mood',
	'MOOD_EXPLAIN'		=> 'Choose your mood',
	'NO_SUCH_MOOD'		=> 'Please choose a mood.',
	'MOOD_USERS'		=>  array(
		1 => '1 User',
		2 => '%s Users',
	),
	'MOOD_NOT_EXIST'	=> 'Mood does not exist',
));
